<?php

namespace Test\Test\Repositories\Eloquent;

use Test\Test\Interfaces\ModuleRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ModuleRepository extends BaseRepository implements ModuleRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('test.test.module.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('test.test.module.model.model');
    }
}
